<?xml version="1.0" encoding="gb2312"?>
<Config>
    <Global>
        <NoiseReductionFlag>1</NoiseReductionFlag>
        <LumaEnhancementFlag>0</LumaEnhancementFlag>
        <ExposureFusionFlag colorcount="4" graycount="4" minfps0="62500" minfps1="62500" maxiso0="3600" maxiso1="3600" sync="0">0</ExposureFusionFlag>
        <FrontCameraFlag>1</FrontCameraFlag>
    </Global>

    <NoiseReduction>
        <ISO1>
            <isovalue>2048</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-99</lumaLF>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-128</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-99</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-128</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-99</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO1>
        <ISO2>
            <isovalue>3838</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-95</lumaLF>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-128</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-95</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-128</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-95</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO2>
        <ISO3>
            <isovalue>4736</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-85</lumaLF>
            <lumaHF1>-32</lumaHF1>
            <lumaHF2>-15</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-110</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-85</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-128</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-85</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-128</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO3>
        <ISO4>
            <isovalue>6784</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-85</lumaLF>
            <lumaHF1>-32</lumaHF1>
            <lumaHF2>-15</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-110</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-80</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-110</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-80</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-110</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO4>
        <ISO5>
            <isovalue>9728</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-85</lumaLF>
            <lumaHF1>-32</lumaHF1>
            <lumaHF2>-15</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-115</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-80</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-95</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-80</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-95</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO5>
        <ISO6>
            <isovalue>12800</isovalue>
            <lumaMed>1</lumaMed>
             <lumaLF>-80</lumaLF>
            <lumaHF1>-32</lumaHF1>
            <lumaHF2>-15</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-110</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-75</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-80</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-75</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-80</detail_BN>
            <chromaS_BN>-99</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO6>
        <ISO7>
            <isovalue>16384</isovalue>
            <lumaMed>1</lumaMed>
             <lumaLF>-80</lumaLF>
            <lumaHF1>-32</lumaHF1>
            <lumaHF2>-15</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-110</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-70</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-70</detail_M>
            <chromaS>-99</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-70</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-70</detail_BN>
            <chromaS_BN>-95</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO7>
        <ISO8>
            <isovalue>32770</isovalue>
            <lumaMed>1</lumaMed>
            <lumaLF>-75</lumaLF>
            <lumaHF1>0</lumaHF1>
            <lumaHF2>0</lumaHF2>
            <lumaHF3>0</lumaHF3>
            <detail>-100</detail>
            <lumaMed_M>0</lumaMed_M>
            <lumaLF_M>-70</lumaLF_M>
            <lumaHF1_M>0</lumaHF1_M>
            <lumaHF2_M>0</lumaHF2_M>
            <lumaHF3_M>0</lumaHF3_M>
            <detail_M>-60</detail_M>
            <chromaS>-86</chromaS>
            <chromaNrLUT>384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64 384 384 384 384 256 256 256 256 192 192 192 192 128 128 128 128 64 64 64 64</chromaNrLUT>
            <lumaMed_BN>0</lumaMed_BN>
            <lumaLF_BN>-70</lumaLF_BN>
            <lumaHF1_BN>0</lumaHF1_BN>
            <lumaHF2_BN>0</lumaHF2_BN>
            <lumaHF3_BN>0</lumaHF3_BN>
            <detail_BN>-40</detail_BN>
            <chromaS_BN>-90</chromaS_BN>
            <!-- 多帧降噪不充分 -->
            <temporal_num_th>2</temporal_num_th>
            <lf_gain>0.4</lf_gain>
            <hf_gain>1</hf_gain>
            <chroma_gain>0.4</chroma_gain>
            <detail_gain>1</detail_gain>
        </ISO8>
    </NoiseReduction>

    <ChromaEnhancement>
        <enhancementLevel>0</enhancementLevel>
        <chromaDetail>154</chromaDetail>
    </ChromaEnhancement>

    <GhostDetection>
        <ISO1>
            <lumaTH_Low>48</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>48</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>160</chromaTH_Low>
            <chromaTH_High>160</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO1>
        <ISO2>
            <lumaTH_Low>48</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>48</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>160</chromaTH_Low>
            <chromaTH_High>160</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO2>
        <ISO3>
            <lumaTH_Low>64</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>64</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO3>
        <ISO4>
            <lumaTH_Low>80</lumaTH_Low>
            <lumaTH_High>160</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>80</lumaTH_Low_M>
            <lumaTH_High_M>160</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>240</chromaTH_Low>
            <chromaTH_High>240</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO4>
        <ISO5>
            <lumaTH_Low>128</lumaTH_Low>
            <lumaTH_High>256</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>96</lumaTH_Low_M>
            <lumaTH_High_M>192</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>320</chromaTH_Low>
            <chromaTH_High>320</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO5>
        <ISO6>
            <lumaTH_Low>192</lumaTH_Low>
            <lumaTH_High>384</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>192</lumaTH_Low_M>
            <lumaTH_High_M>256</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>640</chromaTH_Low>
            <chromaTH_High>640</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO6>
        <ISO7>
            <lumaTH_Low>256</lumaTH_Low>
            <lumaTH_High>512</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>256</lumaTH_Low_M>
            <lumaTH_High_M>384</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>960</chromaTH_Low>
            <chromaTH_High>960</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO7>
        <ISO8>
            <lumaTH_Low>384</lumaTH_Low>
            <lumaTH_High>512</lumaTH_High>
            <lumaNoiseTH>160</lumaNoiseTH>
            <lumaTH_Low_M>384</lumaTH_Low_M>
            <lumaTH_High_M>512</lumaTH_High_M>
            <lumaNoiseTH_M>160</lumaNoiseTH_M>
            <chromaTH_Low>2560</chromaTH_Low>
            <chromaTH_High>2560</chromaTH_High>
            <chromaNoiseTH>4080</chromaNoiseTH>
        </ISO8>
    </GhostDetection>

    <PreProcess>
    </PreProcess>

    <RouteSwitch>
        <DepthType>0</DepthType>
        <ColorOnlyDisparity>15</ColorOnlyDisparity>
        <ColorOnlyPixelPercent>50</ColorOnlyPixelPercent>
        <ColorBaseDisparity>15</ColorBaseDisparity>
        <ColorBasePixelPercent>5</ColorBasePixelPercent>
    </RouteSwitch>

    <FUSION>
        <zoom_factor_th>1.5</zoom_factor_th>
        <detail_ratio_max_th>256</detail_ratio_max_th>
    </FUSION>
    <BM>
        <use_extra_candidate>1</use_extra_candidate>
    </BM>
    <!--params for different iso-->
    <!--mono_eps at [0.032, 0.16]-->
    <!--color_eps at [0.04, 0.16]-->
    <camera_pos>1</camera_pos> <!-- MHA/DUKE/VV 对应 3/0/1, main camera right/down/up-->
    <fov_scale>1.03</fov_scale><!-- 副camera fov / 主camera fov--><!-- MHA/DUKE/VV 对应 1.03/1/1.03-->
    <isoCount>10</isoCount>
    <iso1>
        <iso>2048</iso>
        <appointed_router>-1</appointed_router> <!--0/1/2/3表示monobase/colorbase/coloronly/hybrid, -1表示算法自己判断-->
        <color_eps>0.04</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.02</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.04</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.04</smooth_eps>
        <smooth_eps_scale>15</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>80</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>15</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>15</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>64</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso1>
    <iso2>
        <iso>3838</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>300</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>70</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>18</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso2>
    <iso3>
        <iso>4736</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>384</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>16</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>128</enhance_scale>

        <color_weight_shiftbit>3</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>65</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>20</hybrid_diff_th>
        <hybrid_diff_hue_shift>4</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>4</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>80</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso3>
    <iso4>
        <iso>6784</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.1</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.05</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.1</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>430</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>18</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.04</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso4>
    <iso5>
        <iso>9728</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>480</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>19</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>18</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>100</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso5>
    <iso6>
        <iso>12800</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.06</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.12</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>512</detail_ratio_max>
        <detail_th_min>1</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.1</smooth_eps>
        <smooth_eps_scale>20</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>2</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>20</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>150</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.08</hybrid_color_adjust_eps>
        <hybrid_detail_gain>256</hybrid_detail_gain>
    </iso6>
    <iso7>
        <iso>16384</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>24</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>200</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>0</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>280</hybrid_detail_gain>
    </iso7>
    <iso8>
        <iso>20480</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.03</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.06</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>400</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.06</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>0</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>30</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>2</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>300</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>310</hybrid_detail_gain>
    </iso8>
    <iso9>
        <iso>26490</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.16</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>2</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>36</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>1</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>360</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>350</hybrid_detail_gain>
    </iso9>
    <iso10>
        <iso>32770</iso>
        <appointed_router>-1</appointed_router>
        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <mono_eps>0.16</mono_eps>
        <mono_r>4</mono_r>

        <mono_detail_eps>0.04</mono_detail_eps>
        <mono_detail_eps_scale>14</mono_detail_eps_scale>
        <mono_detail_r>1</mono_detail_r>

        <mono_detailbase_eps>0.08</mono_detailbase_eps>
        <mono_detailbase_eps_scale>21</mono_detailbase_eps_scale>
        <mono_detailbase_r>4</mono_detailbase_r>

        <detailbase_ratio_min>128</detailbase_ratio_min>
        <detailbase_ratio_max>256</detailbase_ratio_max>
        <detailbase_th_min>10</detailbase_th_min>
        <detailbase_th_bit_to_max>3</detailbase_th_bit_to_max>

        <detail_ratio_min>128</detail_ratio_min>
        <detail_ratio_max>256</detail_ratio_max>
        <detail_th_min>3</detail_th_min>
        <detail_th_bit_to_max>2</detail_th_bit_to_max>

        <smooth_eps>0.08</smooth_eps>
        <smooth_eps_scale>21</smooth_eps_scale>
        <smooth_r>0</smooth_r>

        <enhance_flag>1</enhance_flag>
        <enhance_th_bit>5</enhance_th_bit>
        <enhance_scale>64</enhance_scale>

        <color_weight_shiftbit>1</color_weight_shiftbit>
        <color_detail_shiftbit>1</color_detail_shiftbit>

        <detail_diff_th>60</detail_diff_th>
        <detail_diff_cnt_th>500</detail_diff_cnt_th>


        <hybrid_diff_th>36</hybrid_diff_th>
        <hybrid_diff_hue_shift>5</hybrid_diff_hue_shift>
        <hybrid_diff_hue_coff>1</hybrid_diff_hue_coff>
        <hybrid_diff_erosion_r>2</hybrid_diff_erosion_r>
        <hybrid_diff_tolerate_cnt>360</hybrid_diff_tolerate_cnt>
        <hybrid_weight_map_diff_th>20</hybrid_weight_map_diff_th>
        <hybrid_weight_map_th>80</hybrid_weight_map_th>
        <hybrid_weight_map_cnt>1</hybrid_weight_map_cnt>
        <hybrid_color_adjust_eps>0.16</hybrid_color_adjust_eps>
        <hybrid_detail_gain>380</hybrid_detail_gain>
    </iso10>

    <GhostCorrection>
        <LowThr>1</LowThr>
        <HighThr>5</HighThr>
    </GhostCorrection>

    <SFNoiseReduction>
        <ISO1>
            <isovalue>256</isovalue>    <!--gain-->
            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-100</luma>
            <chroma>-100</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-100</chromaHF>
            <detail>-100</detail>
        </ISO1>
        <ISO2>
            <isovalue>614</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-100</luma>
            <chroma>-100</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-100</chromaHF>
            <detail>-100</detail>
        </ISO2>
        <ISO3>
            <isovalue>1024</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-98</luma><!--luma>-95</luma-->
            <chroma>-98</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-98</chromaHF>
            <detail>-100</detail>
        </ISO3>
        <ISO4>
            <isovalue>2048</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-96</luma><!--luma>-90</luma-->
            <chroma>-96</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-96</chromaHF>
            <detail>-100</detail>
        </ISO4>
        <ISO5>
            <isovalue>3584</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-94</luma><!--luma>-70</luma-->
            <chroma>-94</chroma>
            <lumaHF>0</lumaHF><!--lumaHF>-50</lumaHF-->
            <chromaHF>-94</chromaHF>
            <detail>-90</detail>
        </ISO5>
        <ISO6>
            <isovalue>5120</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-90</luma><!--luma>-60</luma-->
            <chroma>-90</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-90</chromaHF>
            <detail>-80</detail>
        </ISO6>
        <ISO7>
            <isovalue>8192</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-85</luma>
            <chroma>-85</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-85</chromaHF>
            <detail>-70</detail>
        </ISO7>
        <ISO8>
            <isovalue>16384</isovalue>

            <NoiseReducFlag>1</NoiseReducFlag>
            <ContrastEnhanceFlag>0</ContrastEnhanceFlag>
            <SharpnessEnhanceFlag>0</SharpnessEnhanceFlag>
            <ColorManageFlag>0</ColorManageFlag>

            <luma>-80</luma>
            <chroma>-80</chroma>
            <lumaHF>0</lumaHF>
            <chromaHF>-80</chromaHF>
            <detail>-60</detail>
        </ISO8>
    </SFNoiseReduction>
</Config>
